Get all expenditures including totals for a client Run in API Explorer

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.plannrcrm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "PlannrCRM MCP server": {
    "url": "https://apidocs.plannrcrm.com/mcp"
  }
}

Close
GET /api/v1/client/{client_uuid}/expenditure

Response includes all expenditures for a client along with their calculated income and disposal income

Path parameters

  • client_uuid string Required

    The uuid of the client.

Query parameters

  • filter[uuid] string

    Filter by a comma separated list of UUIDs.

Responses

  • 200 application/json
    Hide response attribute Show response attribute object
    • data array[object]
      Hide data attributes Show data attributes object
      • uuid string
      • created_at string
      • updated_at string
      • name string
      • section string
      • amount object
        Hide amount attributes Show amount attributes object
        • amount object
          Hide amount attributes Show amount attributes object
          • example string
          • description string
        • formatted object
          Hide formatted attributes Show formatted attributes object
          • example string
          • description string
        • currency object
          Hide currency attributes Show currency attributes object
          • example string
          • description string
      • position string
      • life_stage_uuid string
      • life_stage_section_uuid string
      • life_stage_field_uuid string
      • accounts string
GET /api/v1/client/{client_uuid}/expenditure
curl \
 --request GET 'https://api.plannrcrm.com/api/v1/client/f6aa1670-dcf0-484e-a0c5-08590fe89a84/expenditure' \
 --header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (200)
{
  "data": [
    [
      {
        "uuid": "7c914801-7998-48a8-b56b-8c567f693281",
        "created_at": "2026-07-22T14:08:40+01:00",
        "updated_at": "2026-07-22T14:08:40+01:00",
        "name": "Electricity",
        "section": "Housekeeping Expenses",
        "amount": {
          "amount": {
            "example": "4000",
            "description": "Money amount at their lowest denominator (for example: pennies)"
          },
          "formatted": {
            "example": "£40.00",
            "description": "Money amount formatted with currency"
          },
          "currency": {
            "example": "GBP",
            "description": "Currency of the money"
          }
        },
        "position": "1",
        "life_stage_uuid": "1b14fa07-026b-49f2-8e21-39df6fd0370a",
        "life_stage_section_uuid": "545fb0bb-a5c2-4655-bf96-3116252cd50f",
        "life_stage_field_uuid": "77813085-3616-4864-b376-e3c4838a78a3",
        "accounts": "[]"
      }
    ]
  ]
}